Subject: Re: Moving FAQs to PgFoundry

From: "Magnus Hagander" <[email-masked]>
Date: Mon, 12 Dec 2005 15:56:14 +0100

> > > What about doing the same for FAQ translations? We may 
> have a chance 
> > > to assign several translators to each FAQ and we may easily keep 
> > > them up2date. The website can be configured to pull them from CVS.
> > > 
> > > I can assist you during this moving process, if you want.
> > 
> > If we're moving it to a different cvs, perhaps we should consider 
> > moving them directly into the website cvs?
> 
> This is not directly related with the website development I 
> think. They are also in main source code. So a seperate CVS 
> would be cool IMHO, like translations as I wrote before.

No, but it is directly related to website content.
If we'd move them to a different cvs (be that web or separate project),
I'd expect them to go away from main cvs? Is there any actual point in
keeping them in more than one place?

//Magnus

---

From: Bruce Momjian <[email-masked]>
Date: Mon, 12 Dec 2005 10:07:57 -0500 (EST)

Devrim GUNDUZ wrote:
> Hi,
> 
> On Mon, 2005-12-12 at 15:56 +0100, Magnus Hagander wrote:
> 
> As done in translation project, the main website will pull from the
> other CVS. Here we need to mail to Bruce to update the FAQs, etc. Now we
> will be able to commit to another CVS.

The only trick is that release packaging will need to pull from that
CVS.  I think right now Peter pulls the *.po files manually from there
to the source CVS, right?

-- 
  Bruce Momjian                        |  http://candle.pha.pa.us
  [email-masked]               |  (610) 359-1001
  +  If your life is a hard drive,     |  13 Roberts Road
  +  Christ can be your backup.        |  Newtown Square, Pennsylvania 19073

---

From: Devrim GUNDUZ <[email-masked]>
Date: Mon, 12 Dec 2005 17:09:24 +0200

Hi,

-- 
The PostgreSQL Company - Command Prompt, Inc. 1.503.667.4564
PostgreSQL Replication, Consulting, Custom Development, 24x7 support
Managed Services, Shared and Dedicated Hosting
Co-Authors: PL/php, plPerlNG - http://www.commandprompt.com/

---

From: "Marc G. Fournier" <[email-masked]>
Date: Mon, 12 Dec 2005 22:05:33 -0400 (AST)

> keeping them in more than one place?

Stupid question here, but Devrim's idea is that ppl can be easily added to 
CVS with write permissions to update/modify the various translations, 
without having to submit patches ...

Do you *really* want a bunch of ppl with write access to the main web site 
CVS? :)

----
Marc G. Fournier           Hub.Org Networking Services (http://www.hub.org)
Email: [email-masked]           Yahoo!: yscrappy              ICQ: 7615664

---

From: "Marc G. Fournier" <[email-masked]>
Date: Mon, 12 Dec 2005 22:06:52 -0400 (AST)

> to the source CVS, right?

Actually, if I know where to pull from, adding that sort of thing to the 
build scripts isn't that hard ... in fact, I've suggested this in so far 
as pulling in stuff like JDBC into the main tar ball as well, where we 
could pull in a specific 'tag branch' when building ... just means that 
the JDBC folks, as an example, would have to create a tag that we could 
use for that specific purpose ...

----